%define module	django-auth-ldap

Name: 		python-%{module}
Version: 	3.0.0
Release: 	%mkrel 1
Summary: 	Django LDAP authentication backend
License:	BSD
Group: 		Development/Python
URL: 		https://github.com/django-auth-ldap/django-auth-ldap
Source0: 	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.xz
BuildArch:	noarch

%description
This is a Django authentication backend that authenticates against an LDAP
service. Configuration can be as simple as a single distinguished name
template, but there are many rich configuration options for working with users,
groups, and permissions.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Django LDAP authentication backend
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-sphinx
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This is a Django authentication backend that authenticates against an LDAP
service. Configuration can be as simple as a single distinguished name
template, but there are many rich configuration options for working with users,
groups, and permissions.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

find . -name '.buildinfo' -delete
find . -name '.spell*' -delete

# Remove bundled egg-info
rm -rf django_auth_ldap.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/django_auth_ldap/
%{python3_sitelib}/django_auth_ldap-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Aug 05 2022 tex - 3.0.0-1pclos2022
- new version

